Bug 183825 - [patch] net/nxserver: build fails due to missing audiofile-config
[patch] net/nxserver: build fails due to missing audiofile-config
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-09 23:00 UTC by lchen
Modified: 2014-01-08 00:20 UTC (History)
1 user (show)

See Also:


Attachments
patch (845 bytes, patch)
2013-11-09 23:00 UTC, lchen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lchen 2013-11-09 23:00:00 UTC
	
	Unable to rebuild net/nxserver against updated libaudiofile, as
	audiofile-config has been removed in favor of pkgconf.

	audiofile-config was last present in 0.2.7, the prior version in
	ports.

Fix: Use environment variable to use pkgconf instead of audiofile-config,
	and disable minimum version check as process with pkgconf differs
	signficantly from audiofile-config method.

	Assumes version is met now. Could change to using
	BUILD_DEPENDS/RUN_DEPENDS for libaudiofile instead of LIB_DEPENDS
	to test for minimum version, if necessary.
How-To-Repeat: 	
	try to (re)build this port, and it will fail in configure of nxesd
	which needs audiofile-config to get the compiler flags and check that
	it is at least 0.1.5.
Comment 1 Edwin Groothuis freebsd_committer 2013-11-09 23:00:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-11-09 23:00:08 UTC
Maintainer of net/nxserver,

Please note that PR ports/183825 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183825

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 dewey 2013-11-11 16:06:39 UTC
approved.

----- Original Message -----
> From: "Edwin Groothuis" <edwin@FreeBSD.org>
> To: freenx@deweyonline.com
> Cc: bug-followup@FreeBSD.org
> Sent: Saturday, November 9, 2013 6:00:08 PM
> Subject: Re: ports/183825: [patch] net/nxserver: build fails due to missing audiofile-config
> 
> Maintainer of net/nxserver,
> 
> Please note that PR ports/183825 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183825
> 
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 freenx 2013-11-11 16:06:54 UTC
approved.

----- Original Message -----
> From: "Edwin Groothuis" <edwin@FreeBSD.org>
> To: freenx@deweyonline.com
> Cc: bug-followup@FreeBSD.org
> Sent: Saturday, November 9, 2013 6:00:08 PM
> Subject: Re: ports/183825: [patch] net/nxserver: build fails due to missing audiofile-config
> 
> Maintainer of net/nxserver,
> 
> Please note that PR ports/183825 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183825
> 
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 5 Mark Linimon freebsd_committer 2013-11-12 02:47:57 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 dfilter freebsd_committer 2014-01-08 00:17:14 UTC
Author: mat
Date: Wed Jan  8 00:17:06 2014
New Revision: 339060
URL: http://svnweb.freebsd.org/changeset/ports/339060

Log:
  Fix build.
  
  Also reset maintainer per his request.
  
  PR:		ports/183825
  Submitted by:	Lawrence Chen
  Approved by:	maintainer

Modified:
  head/net/nxserver/Makefile

Modified: head/net/nxserver/Makefile
==============================================================================
--- head/net/nxserver/Makefile	Wed Jan  8 00:06:49 2014	(r339059)
+++ head/net/nxserver/Makefile	Wed Jan  8 00:17:06 2014	(r339060)
@@ -18,7 +18,7 @@ DISTFILES=	nx-X11-${PORTVERSION}-3.tar.g
 		nxviewer-${PORTVERSION}-12.tar.gz
 DIST_SUBDIR=	NX
 
-MAINTAINER=	freenx@deweyonline.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Low-bandwidth X network server
 
 LIB_DEPENDS=	libaudiofile.so:${PORTSDIR}/audio/libaudiofile \
@@ -75,12 +75,17 @@ do-configure:
 do-build:
 	cd ${WRKSRC}/nx-X11 && ${SETENV} ${MAKE_ENV} \
 		${MAKE} ${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} ${ALL_TARGET}
-.for i in nxproxy nxkill nxesd
+.for i in nxproxy nxkill
 	cd ${WRKSRC}/${i} && \
 		${CONFIGURE_ENV} ./configure --prefix=${NXPREFIX} && \
 		${SETENV} ${MAKE_ENV} \
 		${GMAKE} ${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS}
 .endfor
+	cd ${WRKSRC}/nxesd && \
+		${CONFIGURE_ENV} AUDIOFILE_CONFIG="/usr/local/bin/pkgconf audiofile" \
+		./configure --disable-audiofiletest --prefix=${NXPREFIX} && \
+		${SETENV} ${MAKE_ENV} \
+		${GMAKE} ${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS}
 	cd ${WRKSRC}/nxdesktop && ${CONFIGURE_ENV} ./configure \
 		--with-sound --prefix=${NXPREFIX} && \
 		${SETENV} ${MAKE_ENV} \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Mathieu Arnold freebsd_committer 2014-01-08 00:17:37 UTC
State Changed
From-To: open->closed

Committed, thanks!